using TechHelper.Context;
using Microsoft.AspNetCore.Identity;
using System.Security.Claims;
using Entities.Contracts;

namespace TechHelper.Services.Beta
{
	public interface IAuthenticationService
	{
		public Task<string> GetToken(Entities.Contracts.User user);
		public string GenerateRefreshToken();
		public ClaimsPrincipal GetPrincipalFromExpiredToken(string token);	
	}
}
